summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2022-08-23 17:10:47 +0200
committerSam James <sam@gentoo.org>2022-08-25 03:09:27 +0100
commit77bd9e6e0304ab640f23a34e54ef43bee28e2b41 (patch)
tree60959a8de1745d30deb3861a3db15bc746926c16
parentsys-devel/qbe: new package from ::guru, add 1.0-r1, 9999 (diff)
downloadgentoo-77bd9e6e0304ab640f23a34e54ef43bee28e2b41.tar.gz
gentoo-77bd9e6e0304ab640f23a34e54ef43bee28e2b41.tar.bz2
gentoo-77bd9e6e0304ab640f23a34e54ef43bee28e2b41.zip
sys-devel/cproc: new package from ::guru, add 0_pre20220805, 9999
Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Closes: https://github.com/gentoo/gentoo/pull/26978 Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--sys-devel/cproc/Manifest1
-rw-r--r--sys-devel/cproc/cproc-0_pre20220805.ebuild34
-rw-r--r--sys-devel/cproc/cproc-9999.ebuild34
-rw-r--r--sys-devel/cproc/metadata.xml12
4 files changed, 81 insertions, 0 deletions
diff --git a/sys-devel/cproc/Manifest b/sys-devel/cproc/Manifest
new file mode 100644
index 00000000000..3bb5cf1ed1d
--- /dev/null
+++ b/sys-devel/cproc/Manifest
@@ -0,0 +1 @@
+DIST cproc-6fabc79d81de56b6c1cdcc2242933fd792e2ddf9.tar.gz 80893 BLAKE2B f708649714f0fbc3e7b60dc87585603970eb350de4ce1f02fe9b5783714ef09fa38b4b4ec7a8b0553047e84edc0f752963c84df32dacd9585c435098e57be47c SHA512 355e3ca8fb481d9e32d0621787beee7b0e6f53f107bbb9512f89382c599daa581b89e7da3957c09b81a994ebce9f06df08df0833b010b055a8ff947c8cc8d02e
diff --git a/sys-devel/cproc/cproc-0_pre20220805.ebuild b/sys-devel/cproc/cproc-0_pre20220805.ebuild
new file mode 100644
index 00000000000..74f03bd8630
--- /dev/null
+++ b/sys-devel/cproc/cproc-0_pre20220805.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ "${PV}" = 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~mcf/cproc"
+else
+ CPROC_COMMIT="6fabc79d81de56b6c1cdcc2242933fd792e2ddf9"
+ CPROC_P="${PN}-${CPROC_COMMIT}"
+ SRC_URI="https://git.sr.ht/~mcf/cproc/archive/${CPROC_COMMIT}.tar.gz -> ${CPROC_P}.tar.gz"
+ S="${WORKDIR}/${CPROC_P}"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv"
+fi
+
+DESCRIPTION="C11 compiler using QBE as backend"
+HOMEPAGE="https://sr.ht/~mcf/cproc/"
+LICENSE="ISC"
+SLOT="0"
+
+DEPEND="sys-devel/qbe:="
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ rm -r "${S}/qbe" || die
+}
+
+src_configure() {
+ ./configure --prefix=/usr || die
+}
diff --git a/sys-devel/cproc/cproc-9999.ebuild b/sys-devel/cproc/cproc-9999.ebuild
new file mode 100644
index 00000000000..74f03bd8630
--- /dev/null
+++ b/sys-devel/cproc/cproc-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ "${PV}" = 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.sr.ht/~mcf/cproc"
+else
+ CPROC_COMMIT="6fabc79d81de56b6c1cdcc2242933fd792e2ddf9"
+ CPROC_P="${PN}-${CPROC_COMMIT}"
+ SRC_URI="https://git.sr.ht/~mcf/cproc/archive/${CPROC_COMMIT}.tar.gz -> ${CPROC_P}.tar.gz"
+ S="${WORKDIR}/${CPROC_P}"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv"
+fi
+
+DESCRIPTION="C11 compiler using QBE as backend"
+HOMEPAGE="https://sr.ht/~mcf/cproc/"
+LICENSE="ISC"
+SLOT="0"
+
+DEPEND="sys-devel/qbe:="
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ rm -r "${S}/qbe" || die
+}
+
+src_configure() {
+ ./configure --prefix=/usr || die
+}
diff --git a/sys-devel/cproc/metadata.xml b/sys-devel/cproc/metadata.xml
new file mode 100644
index 00000000000..fc3c6c67130
--- /dev/null
+++ b/sys-devel/cproc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>contact@hacktivis.me</email>
+ <name>Haelwenn (lanodan) Monnier</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+</pkgmetadata>